Bug 102577 - bad rpm package in /var/spool/repackage
bad rpm package in /var/spool/repackage
Status: CLOSED WORKSFORME
Product: Red Hat Linux Beta
Classification: Retired
Component: up2date (Show other bugs)
beta1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Fanny Augustin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-18 06:28 EDT by Féliciano Matias
Modified: 2007-04-18 12:56 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-09-15 17:47:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Féliciano Matias 2003-08-18 06:28:07 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.7 (X11; Linux i686; U;) Gecko/20030131

Description of problem:
Packages created in /var/spool/repackage by up2date are unreadable.

Version-Release number of selected component (if applicable):
up2date-3.9.10-2

How reproducible:
Always

Steps to Reproduce:
1. enable rollback in up2date (enableRollbacks=1 in /etc/sysconfig/rhn/up2date)
2. update a package with up2date
3. check the package in /var/spool/repackage.
For example :
rpm -q -p /var/spool/repackage/metacity-2.4.55-5.i386.rpm
error: /var/spool/repackage/metacity-2.4.55-5.i386.rpm: V3 DSA signature: BAD,
key ID 897da07a

Actual Results:  The same problem append with /usr/share/doc/rpm-*/BETA-GPG-KEY
imported in rpm or not.

Expected Results:  A readable rpm package.
Comment 1 Adrian Likins 2003-08-18 12:02:02 EDT
Try reading the packages with "--nodigest --nosignature". 

The packages in /var/spool/repackage are repackaged from
the files on the file system, and are _not_ resigned, but
they do maintain the original package signature. 

They have to be read with the commandline options (turning
off dsa and gpg verification) above. 


Note You need to log in before you can comment on or make changes to this bug.